Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6781 - df incorrectly reporting "permission denied"
Summary: df incorrectly reporting "permission denied"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-06 19:53 UTC by help
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 23:43:59 UTC


Attachments (Terms of Use)

Description help 1999-11-06 19:53:18 UTC
When 'df' tries to stat a remote (NFS mounted) filesystem
whose root has permission for "other" of only execute it
reports "permission denied" instead of displaying disk
usage information.

This does not happen with systems running earlier versions
than RHL 6.1 (or another OS).

Comment 1 Bill Nottingham 1999-11-08 15:55:59 UTC
What OS/version is the NFS server software?

Comment 2 Bill Nottingham 1999-12-17 22:42:59 UTC
(SunOS 5.6 was the reply)

Comment 3 Cristian Gafton 2000-02-17 23:43:59 UTC
This looks more like a NFS client problem

Comment 4 Ben LaHaise 2002-06-03 22:12:57 UTC
The NFS client is limited to using the permission of the user executing the
command.  This cannot be fixed.


Note You need to log in before you can comment on or make changes to this bug.